/*
Dozen Days of Dice episode 7: Hearts
Copyright (c) 2008 Blazing Games Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package
{
	import flash.display.MovieClip;
	import flash.text.TextField;

	import com.blazinggames.dozendays.*;
	import com.blazinggames.dozendays.dice.*;
	import com.blazinggames.dozendays.dice.hearts.*;
	
	[SWF(width="640", height="480", backgroundColor="#000000")]
	
	public class Hearts extends MovieClip
	{
// ***** CONSTANTS ***********************************************************

		public static const MODE_NONE:int = 0;
		public static const MODE_TITLE:int = 1;
		public static const MODE_GAME:int = 2;
		public static const MODE_ABOUT:int = 3;

// ***** VARIABLES ***********************************************************
		
		private var _logDisplay:TextField;
		private var _mode:int;
		private var _title:Title;
		private var _game:HeartsManager;
		private var _about:About;

// ***** CONSTRUCTOR *********************************************************

		public function Hearts()
		{
			_mode = MODE_NONE;
			_title = new Title(this);
			_game = new HeartsManager(this);
			_about = new About(this);
			changeMode(MODE_TITLE);
			stop();
		}
		
// ***** Functions - mode handlers ******************************************		
		
		public function changeMode(n:int):void
		{
			// remove old mode
			switch(_mode) {
				case MODE_NONE:
					break;
				case MODE_GAME:
					removeChild(_game);
					break;
				case MODE_TITLE:
					removeChild(_title);
					break;
				case MODE_ABOUT:
					removeChild(_about);
					break;
			}
			
			// change to the new mode
			switch(n) {
				case MODE_NONE:
					break;
				case MODE_GAME:
					_game.resetGame();
					addChildAt(_game, 0);
					break;
				case MODE_TITLE:
					addChildAt(_title, 0);
					break;
				case MODE_ABOUT:
					addChildAt(_about, 0);
					break;
			}
			
			_mode = n;
		}
		
	}
}

