/*
Dozen Days of Dice episode 7: Hearts
Copyright (c) 2008 Blazing Games Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package com.blazinggames.dozendays.dice.hearts
{
	import flash.display.SimpleButton;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFormatAlign;

	import com.blazinggames.dozendays.TextButton;

	public class Title
	extends Sprite
	{
// ***** CONSTANTS **********************************************************

		public static const START_TEXT:String = "Start the Game!";
		public static const ABOUT_TEXT:String = "About the Game!";
		private static const COPYRIGHT_TXT:String = 
"Developed by Billy D. Spelchan. Copyright \xa9 2008 Blazing Games Inc.";

// ***** VARIABLES **********************************************************

		protected var _hearts:Hearts;
		protected var _startButton:TextButton;
		protected var _aboutButton:TextButton;
// ***** CONSTRUCTOR ********************************************************

		public function Title(hearts:Hearts)
		{
			_hearts = hearts;
			var titleFormat:TextFormat = new TextFormat(null, 128, 0xFFFF00, null, null, null, null, null, TextFormatAlign.CENTER);
			var title:TextField = new TextField();
			title.x = 0;
			title.y = 30;
			title.width = 640;
			title.height = 140;
			title.defaultTextFormat = titleFormat;
			title.text = "Hearts";
			addChild(title);
/*
			var versionFormat:TextFormat = new TextFormat(null, 42, 0xFF00FF, null, null, null, null, null, TextFormatAlign.CENTER);
			var ver:TextField = new TextField();
			ver.x = 0;
			ver.y = 100;
			ver.width = 640;
			ver.height = 50;
			ver.defaultTextFormat = versionFormat;
			ver.text = "Release Candidate";
			addChild(ver);
*/
			_startButton = new TextButton(START_TEXT, 320, 40);
			_startButton.x = 160;
			_startButton.y = 300;
			addChild(_startButton);
			_startButton.addEventListener(MouseEvent.MOUSE_UP, handleStart);

			_aboutButton = new TextButton(ABOUT_TEXT, 320, 40);
			_aboutButton.x = 160;
			_aboutButton.y = 350;
			addChild(_aboutButton);
			_aboutButton.addEventListener(MouseEvent.MOUSE_UP, handleAbout);

			var crFormat:TextFormat = new TextFormat(null, 15, 0xFFFFFF, null, null, null, null, null, TextFormatAlign.CENTER);
			var copyright:TextField = new TextField();
			copyright.x = 0;
			copyright.y = 460;
			copyright.width = 640;
			copyright.height = 20;
			copyright.defaultTextFormat = crFormat;
			copyright.wordWrap = true;
			copyright.text = COPYRIGHT_TXT;
			addChild(copyright);
		}

// ***** Functions - Event Handling *****************************************

		private function handleStart(evt:Event):void
		{
			_hearts.changeMode(Hearts.MODE_GAME);
		}

		private function handleAbout(evt:Event):void
		{
			_hearts.changeMode(Hearts.MODE_ABOUT);
		}
	}
}
